## univention-provisioning-service 2.0.0

=== debian/changelog ===
univention-provisioning-service (2.0.0) unstable; urgency=medium

  * Add meta package, add configuration package, add stunnel config, adapt backup2master

 -- Julia Bremer <bremer@univention.de>  Tue, 13 Jan 2026 16:39:56 +0100

univention-provisioning-service (1.0.2) unstable; urgency=medium

  * Skip full initialization of listener module

 -- Arvid Requate <requate@univention.de>  Thu, 18 Dec 2025 17:40:44 +0100

univention-provisioning-service (1.0.1) unstable; urgency=medium

  * Clean up dangerous `self.connect` logic that silent fail

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 25 Nov 2025 11:53:06 +0100

univention-provisioning-service (1.0.0) unstable; urgency=medium

  * Initial release.

 -- Christian Castens <castens@univention.de>  Tue, 14 Oct 2025 10:01:47 +0200
