## univention-provisioning-service 2.0.2

=== debian/changelog ===
univention-provisioning-service (2.0.2) unstable; urgency=medium

  * Fix listener reconnection to NATS

 -- Julia Bremer <bremer@univention.de>  Fri, 23 Jan 2026 10:02:35 +0100
